# Notes
Notes are a central concept within Misskey, and refer to content that may include text, images, surveys and more that has been posted to Misskey. In this context, "to note" is also used as a verb refering to the creation of a note.

By composing a note, it will be added to the [timeline](./timeline) and become visible by your followers and other users from your server.

On Misskey, it is also possible to add [Reactions](./reaction) to notes.In addition to that, you can reply to or quote notes.

By adding a note to your [Favorites](./favorite), you can easily look back at it at a later point in time.

## Composing notes
To compose a note, press the button with a pencil icon on the upper part of your screen to open the posting form.Enter the content you want to post in the form, and press the "Note" button to publish it. Notes can contain text as well as files such as images or videos and also [Surveys](./poll).In addition, by using [MFM](./mfm) within your text, you can additionally include [Mentions](./mention) and [Hashtags](./hashtag). There are also other settings such as CW or note visibility (explained later).
<div class="info">ℹ️ If you are on a computer and have an image saved in your clipboard, you can attach it to your note by using the usual paste shortcut within the text box.</div>
<div class="info">ℹ️You can also press <kbd class="key">Ctrl + Enter</kbd> within the text box to publish your note.</div>

## Renote
The act of quoting an existing note, sharing an existing note, or the note created as a result of these acts are all called Renote (or "renoting" as verb). Most of the time, this is used when you want to share a note you like to your own followers, or when you want a share a note that you posted in the past once more. While it is possible to renote the same note multiple times, please be aware that doing so may be seen as annoying by others.
<div class="warn">⚠️If you've set your note's visibility to Followers-only or Direct, then renoting it will not be possible</div>

To take back a renote, press the "..." next to the renote timestamp and select "Take back Renote".

## CW
An abbreviation of "Content Warning", resulting in the content of a note being hidden unless explicitly requested to be shown by a viewing user.It is mainly used to hide the content of long notes or to prevent posting spoilers publicly. To enable CW for a note, press the "Hide content" button (eye icon) in the post form.By doing so a new text input area will appear, where you can write a summary of the content hidden by the CW.

## Visiblility
It's possible to individually set where your note will be visible (Visibility) for each of your notes.By pressing the icon to the left of the "Note" button in the post form, you can choose from the visibility settings listed below.

### Public
Your note will be visible to all users and will show up on all timelines (home, local, social, global).
<div class="warn">⚠️ This visibility will be unavailable if your account is <a href="./silence">silenced</a>.</div>

### Home
Your note will be visible to all users, but will not show up on the local, social or global timeline for non-followers.

### Followers
Your note will only be visible to those that are following you.The note will show up on all timelines of your followers.

### Direct
Your note will only be visible to individually specified users.The note will show up on all timelines of the specified users.

### The "Local only" option
If you enable this option, your note won't be federated to remote instances.

### Visibility comparison
<table>
    <tr><th></th><th>Public</th><th>Home</th><th>Followers</th><th>Direct</th></tr>
    <tr><th>LTL/STL/GTL of Followers</th><td>✔</td><td>✔</td><td>✔</td><td></td></tr>
    <tr><th>LTL/STL/GTL of Others</th><td>✔</td><td></td><td></td><td></td></tr>
</table>

## Pin to profile
By pinning a note to your profile it will be constantly displayed on your profile page. To pin a note, open the note menu and press "Pin to profile". It's also possible to pin multiple notes to your profile.

## Watch
You can get notifications for replies, reactions etc. for a note that is not yours by watching it. To watch a note, select "Watch" from the respective note's menu.
