# Frequently Asked Questions
This document will list answers to frequently asked questions regarding the usage of Misskey. Answers to frequently asked questions related to Misskey as a project can be found [here](./misskey).

## "Are there any apps for iOS / Android available?"
While no official Misskey app for either OS exists, there are several third-party applications. For details, please check [here](./apps).

However, functionality of third-party applications will inevitably lag behind the official Web client, so unless you really want to use a native application, we recommend the official Web client instead. As the Misskey Web client supports PWA, it is also possible to make it act as if it was a native application instead. For details regarding this, please check [here](todo).

## "Can't I log in through a Mastodon client?"
As Misskey is not compatible with the Mastodon API, barring some exceptions, using Mastodon clients to log into Misskey is not possible.

## "What do I do when I want to follow users from other servers?"
Select the search bar from the menu and enter their username including their host server. E.g.: `@syuilo@misskey.io`

## "How do I take back a Renote?"
Press the three dots ("...") displayed next to the renote timestamp and select "Take back Renote". To read more about Renotes, please check [here](../features/note).

## "I don't want the preview of an URL to be displayed."
You can prevent an URL from being previewed using MFM. Please check the [MFM Cheatsheet](/mfm-cheat-sheet) for more details.

## "I want to add custom emoji."
Only administrators can add, edit or delete custom emoji. If you'd like to do either of these things, please ask your instance administrator.

## "I want to develop a Bot."
It is possible to develop a Bot using the Misskey API. Please, [see here](../advanced/develop-bot).

## Which service does the note translation function use?
[DeepL](https://www.deepl.com/) is being used for this.
