# Keyboard shortcuts

## Global
The shortcuts listed here can be used basically everywhere.
<table>
    <thead>
        <tr><th>Shortcut</th><th>Effect</th><th>Origin</th></tr>
    </thead>
    <tbody>
        <tr><td><kbd class="key">P</kbd>, <kbd class="key">N</kbd></td><td>New post</td><td><b>P</b>ost, <b>N</b>ew, <b>N</b>ote</td></tr>
        <tr><td><kbd class="key">T</kbd></td><td>Focus newest post on timeline</td><td><b>T</b>imeline, <b>T</b>op</td></tr>
        <tr><td><kbd class="group"><kbd class="key">Shift</kbd> + <kbd class="key">N</kbd></kbd></td><td>Show/hide notifications</td><td><b>N</b>otifications</td></tr>
        <tr><td><kbd class="key">S</kbd></td><td>Search</td><td><b>S</b>earch</td></tr>
        <tr><td><kbd class="key">H</kbd>, <kbd class="key">?</kbd></td><td>Show help</td><td><b>H</b>elp</td></tr>
    </tbody>
</table>

## Shortcuts related to posts

<table>
    <thead>
        <tr><th>Shortcut</th><th>Effect</th><th>Origin</th></tr>
    </thead>
    <tbody>
        <tr><td><kbd class="key">↑</kbd>, <kbd class="key">K</kbd>, <kbd class="group"><kbd class="key">Shift</kbd> + <kbd class="key">Tab</kbd></kbd></td><td>Move focus to above post</td><td>-</td></tr>
        <tr><td><kbd class="key">↓</kbd>, <kbd class="key">J</kbd>, <kbd class="key">Tab</kbd></td><td>Move focus to below post</td><td>-</td></tr>
        <tr><td><kbd class="key">R</kbd></td><td>Open reply form</td><td><b>R</b>eply</td></tr>
        <tr><td><kbd class="key">Q</kbd></td><td>Open renote form</td><td><b>Q</b>uote</td></tr>
        <tr><td><kbd class="group"><kbd class="key">Ctrl</kbd> + <kbd class="key">Q</kbd></kbd></td><td>Immediately renote (without opening form)</td><td>-</td></tr>
        <tr><td><kbd class="key">E</kbd>, <kbd class="key">A</kbd>, <kbd class="key">+</kbd></td><td>Open reaction form</td><td><b>E</b>mote, re<b>A</b>ction</td></tr>
        <tr><td><kbd class="key">0</kbd>~<kbd class="key">9</kbd></td><td>React with the emote in nth place of the reaction picker</td><td>-</td></tr>
        <tr><td><kbd class="key">F</kbd>, <kbd class="key">B</kbd></td><td>Add to favorites</td><td><b>F</b>avorite, <b>B</b>ookmark</td></tr>
        <tr><td><kbd class="key">Del</kbd>, <kbd class="group"><kbd class="key">Ctrl</kbd> + <kbd class="key">D</kbd></kbd></td><td>Delete post</td><td><b>D</b>elete</tr>
        <tr><td><kbd class="key">M</kbd>, <kbd class="key">O</kbd></td><td>Open post context menu</td><td><b>M</b>ore, <b>O</b>ther</td></tr>
        <tr><td><kbd class="key">S</kbd></td><td>Toggle show or hide of content marked with CW</td><td><b>S</b>how, <b>S</b>ee</td></tr>
        <tr><td><kbd class="key">Esc</kbd></td><td>Deselect Note</td><td>-</td></tr>
    </tbody>
</table>

## Renote form

<table>
    <thead>
        <tr><th>Shortcut</th><th>Effect</th><th>Origin</th></tr>
    </thead>
    <tbody>
        <tr><td><kbd class="key">Enter</kbd></td><td>Renote</td><td>-</td></tr>
        <tr><td><kbd class="key">Q</kbd></td><td>Expand form</td><td><b>Q</b>uote</td></tr>
        <tr><td><kbd class="key">Esc</kbd></td><td>Close form</td><td>-</td></tr>
    </tbody>
</table>

## Reaction form
By default, the "👍" reaction is focused.
<table>
    <thead>
        <tr><th>Shortcut</th><th>Effect</th><th>Origin</th></tr>
    </thead>
    <tbody>
        <tr><td><kbd class="key">↑</kbd>, <kbd class="key">K</kbd></td><td>Move focus to above reaction</td><td>-</td></tr>
        <tr><td><kbd class="key">↓</kbd>, <kbd class="key">J</kbd></td><td>Move focus to below reaction</td><td>-</td></tr>
        <tr><td><kbd class="key">←</kbd>, <kbd class="key">H</kbd>, <kbd class="group"><kbd class="key">Shift</kbd> + <kbd class="key">Tab</kbd></kbd></td><td>Move focus to left reaction</td><td>-</td></tr>
        <tr><td><kbd class="key">→</kbd>, <kbd class="key">L</kbd>, <kbd class="key">Tab</kbd></td><td>Move focus to right reaction</td><td>-</td></tr>
        <tr><td><kbd class="key">Enter</kbd>, <kbd class="key">Space</kbd>, <kbd class="key">+</kbd></td><td>React with focused reaction</td><td>-</td></tr>
        <tr><td><kbd class="key">0</kbd>~<kbd class="key">9</kbd></td><td>React with the reaction at nth place in the reaction picker</td><td>-</td></tr>
        <tr><td><kbd class="key">Esc</kbd></td><td>Cancel reacting</td><td>-</td></tr>
    </tbody>
</table>
