# 用語集
Misskeyに関する用語集です。

## ActivityPub
(読み: あくてぃびてぃぱぶ) 分散型を実現するために用いられるプロトコル(仕様)。このプロトコルに則ってサーバー同士通信を行うことで、連合が行われ、Fediverseを形成しています。

## AiScript
(読み: あいすくりぷと) Misskey上で使用できるプログラミング言語です。詳細は[こちら。](../advanced/aiscript)

## API
(読み: えーぴーあい) Misskeyのサーバーが公開している、プログラムからMisskeyを扱うためのインターフェース。詳細は[こちら。](../advanced/api)

## Bot
(読み: ぼっと) プログラムによって動作しているアカウント。

## CW
(読み: こんてんつわーにんぐ) Contents Warningの略。ノートの内容を、操作なしには表示しないようにできる機能。主に長大な内容を隠すためや、ネタバレ防止などに使われます。

## Fediverse
(読み: ふぇでぃばーす) Misskeyを含む様々な分散型ソフトウェアのサーバーで構成されたネットワーク。

## GTL
グローバルタイムライン(Global TimeLine)の略。タイムラインの詳細は[こちら。](../features/timeline)

## HTL
ホームタイムライン(Home TimeLine)の略。タイムラインの詳細は[こちら。](../features/timeline)

## LTL
ローカルタイムライン(Local TimeLine)の略。タイムラインの詳細は[こちら。](../features/timeline)

## MFM
(読み: えむえふえむ) Misskey Flavored Markdownの略で、Misskey上で使用できるマークアップ言語です。詳細は[こちら。](../features/mfm)

## NSFW
(読み: のっとせーふふぉーわーく) Not Safe For Workの略。画像を「閲覧注意」扱いにし、操作なしには表示しないようにすることができる機能。

## Renote
(読み: りのーと) 既にあるノートを引用、もしくはそのノートを新しいノートとして共有する行為、またそれによって作成されたノート。詳細は[こちら。](../features/note)

## STL
ソーシャルタイムライン(Social TimeLine)の略。タイムラインの詳細は[こちら。](../features/timeline)

## 藍
(読み: あい) Misskeyの看板娘(公式キャラクター)です。

## アクティブユーザー
インスタンスにアカウントを作っているユーザーのうち、現在も実際にサービスを利用しているユーザーのこと。

## ನಿದರ್ಶನ
todo

## カスタム絵文字
サーバーで用意された絵文字。カスタム絵文字ではない通常の絵文字は「Unicode絵文字」と区別して呼ばれる。

## コントロールパネル
インスタンスの設定画面のこと。

## サーバー
todo

## サイレンス
ノートをパブリックな公開範囲で投稿できなくされている状態。モデレーターの判断でユーザーごとに設定されます。詳細は[こちら。](../features/silence)

## ジョブキュー
アクティビティ配送などを順番に行うためのシステム。

## 凍結
アカウントが使用不可に設定されている状態。

## ドライブ
Misskeyにアップロードしたファイルを管理する機能。詳細は[こちら。](../features/drive)

## ノート
Misskeyに投稿される、文章、ファイル、アンケートなどを含めることができるコンテンツ。詳細は[こちら。](../features/note)

## ミスキスト
Misskeyを使う人のこと。

## モデレーター
スパムの凍結およびサイレンスや不適切な投稿の削除など、コミュニティ運営に関する権限を持つユーザー。

## リモート
他サーバーのことを指します。リモートユーザーといったように接頭辞としても使われます。ローカルの逆です。

## 連合
サーバー上で作成された情報が他のサーバーに伝わること。

## ローカル
自サーバーのことを指します。ローカルユーザー、ローカルタイムラインといったように接頭辞としても使われます。リモートの逆です。
