# О Misskey

Misskey (Миски) — проект распределённой площадки для микроблогов с открытым исходным кодом. Его характерные черты — обилие разнообразных функций, как например «Диск» или «Реакции», и невероятно гибко настраиваемый интерфейс пользователя. Проект родился в 2014 году благодаря программисту по имени syuilo из Японии.

## История
В самом начале Misskey задумывался в первую очередь как доска объявлений. В какой-то момент сюда добавили хронологическую ленту для заметок, которая вдруг стала набирать популярность среди пользователей. Так постепенно разработка переместилась с доски объявлений в микроблоги. Misskey не сразу стал распределённым. Децентрализация пришла в проект вместе с реализацией протокола ActivityPub в 2018 году. Уже в таком виде он стал признан во всём мире и продолжает существовать по сей день.
<div class="info">ℹ️ Название Misskey взято из песни Brain Diver певицы May'n. Её syuilo слушал в то время.</div>

Сейчас каждый может присоединиться к разработке, и Misskey активно развивается при участии таких добровольцев.

## «Децентрализация»? Что это?

<b>«Распределённые»,</b> или <b>«децентрализованные»</b> сервисы представляют собой множество независимых узлов, которые <b>сообщаются (объединяются, federate)</b> друг с другом, образуя <b>единую федеративную сеть (Fediverse).</b>
Сервисы же, представляющие собой один единственный сервер, сайт, или множество разрозненных, не связанных друг с другом, называются централизованными. К таким можно отнести бо́льшую часть существующих, и Twitter или Facebook — их характерные примеры. У распределённых сервисов есть преимущество, заключающееся в том, что у вас есть свобода выбрать сервер по собственному вкусу и отношению к тем, кто его держит.Можно поднять и свой собственный.Благодаря федеративному устройству, вы будете на связи со всем сообществом, какой бы узел не выбрали.

## Открытый исходный код навсегда
У Misskey всегда был, есть и будет открытый исходный код.«Открытый исходный код», попросту говоря, — <b>код программы, который свободно доступен для всех</b>.Это определение включает также возможность изменять и распространять исходный код. Весь исходный код Misskey [распространяется под лицензией](https://github.com/misskey-dev)
AGPL</0>, и это значит, что любой может его изучать, использовать, исправлять, менять и распространять без ограничений. Открытый исходный код вообще даёт множество ценных возможностей для каждого: менять его под свои нужды и желания, проверять на отсутствие чего-то вредоносного, участвовать в развитии проектов и множество других. Эти качества для децентрализованного проекта, которым является Misskey, жизненно необходимы. И опять, такие созданные ради прибыли сервисы, как уже упомянутые выше Twitter и Facebook, не имеют открытого кода.</p>

<div class="info">ℹ️ Технически исходный код Misskey находится под управлением Git, а его <a href="https://github.com/misskey-dev" target="_blank">основной репозиторий находится на GitHub.</a></div>

## Как принять участие в судьбе проекта

Если вам по душе Misskey, будет здорово, если вы поддержите проект.Это можно сделать множеством способов, и дальше будет рассказано про некоторые из них.Если вы думаете, для этого надо уметь программировать, то это не так — помочь может каждый.Мы всегда рады вашему участию.



### Добавить функцию и исправить ошибку

Если вы умеете программировать, то можете непосредственно поучаствовать в разработке, внося изменения в ихсодный код. Ознакомьтесь с [руководством для разработчиков](https://github.com/misskey-dev/misskey/blob/develop/CONTRIBUTING.md) по ссылке для этого.



### Поучаствовать в обсуждении

Если хотите поделиться соображениями о новых или уже существующих функциях, сообщить об ошибках, то добро пожаловать на [GitHub](https://github.com/misskey-dev), на [форум](https://forum.misskey.io/) и т. д.



### Перевести на другой язык

Misskey переводится на многие языки мира (так называемая i18n — интернационализация).Изначально здесь всё на японском языке, но энтузиасты делают переводы на другие языки. Перевод — это ещё один способ, которым вы можете помочь Misskey. Если готовы, переходите на [сайт Crowdin](https://crowdin.com/project/misskey)



### Поделиться впечатлениями

Не только сообщая об ошибках, но и рассказывая, за что вам нравится Misskey вы делаете его живым.Ваши слова поддерживают дух разработчиков, так что, пусть косвенно, но тоже являются вкладом в проект.



### Увеличить численность мискийцев

«Мискиец» означает того, кто пользуется Misskey. Знакомя окружающих с Misskey, вы помогаете пополнять ряды мискийцев, и это вдохновляет разработчиков делать его лучше.



### Поддержать материально

Misskey — некоммерческий проект, он бесплатен и держится на добровольных пожертвованиях.(Возможно, вы заметили, что на некоторых узлах есть реклама, но это заработок исключительно владельцев серверов, а никак не разработчиков). Деньги, которыми вы делитесь с разработчиками, позволяют развиваться проекту и дальше. Это ещё один способ поддержать проект. Основной способ такой поддержки — сайт [Patreon](https://www.patreon.com/syuilo). Если пожертвуете определённую сумму, что получите возможность указать своё имя на странице [о Misskey](/about-misskey).

Кроме того, владельцы серверов как правило не зарабатывают на этом.Содержание сервера всё же стоит денег, поэтому ещё одной хорошей идеей будет материальная поддержка администраторов вашего узла. Это, конечно, не имеет отношения к разработке, но сохранение и развитие всей сети не менее важно, чем собственно Misskey.



## Зал славы

[Имена разработчиков и благотворителей можно увидеть по этой ссылке.](/about-misskey)



## Часто задаваемые вопросы


### Какие у проекта цели?

Вообще говоря, на этот вопрос нет точного ответа. В общем, Misskey пытается стать универсальной платформой для широкого применения (что бы это не значило). Misskey не похож на другие проекты в том плане, что какой-то идеи (например, децентрализации), вокруг которой строится проект, или видения его развития нет. Можно сказать, он бесцельный. С другой стороны, отсутствие рамок даёт гибкость и чувство свободы.
<!-- TODO: ここにロードマップへのリンク -->

### Является ли Misskey продуктом коммерческой компании?

Нет.Misskey разрабатывается частными лицами и не связан ни с какими компаниями с целью коммерциализации. В целом, участие в команде разработки добровольно и не предполагает оплаты. У проекта есть компании-спонсоры, однако развитие всё же в руках сообщества обычных людей.



### Кто управляет Misskey?

Вы же помните, что Misskey децентрализован? У каждого узла Misskey свои хозяева.Сладовательно, у серверов Misskey нет единого человека или компании, управляющих ими. Так что команда разработки никак контролирует все эти узлы, и на все вопросы, касающихся отдельных узлов вам сможет ответить только их администрация. [Узнать, кто управляет данным узлом, можно на специальной странице.](/about) Создав собственный узел, уже вы станете его администратором.



### Какой узел выбрать?

[По ссылке есть (неполный) список узлов.](https://join.misskey.page/ja-JP/instances) Некоторые узлы посвящены определённой тематике, например, какому-нибудь кино, или хобби. Если такое вас интересует, этот узел будет неплохим выбором. Кроме того, для вас могут быть важны размер сервера, коллектив, страна, язык, или доверяете ли вы его хозяевам. Какого-то особого «официального» сервера у Misskey нет.Ко всему прочему вы можете создать свой собственный узел на личном сервере.

По большому счёту не важно, какой узел вы себе выберете. Независимо от этого вы будете на связи со всеми остальными узлами сети.



### Как поднять свой собственный сервер?

Для начала хотим выразить признательность за ваш интерес к созданию своего сервера. На текущий 2021 год не существует специальных провайдеров для хостинга Misskey, так что для его установки понадобится некоторое умение. [Узнать, как поднять свой сервер, можете по ссылке.](todo)



### Какие технологии использует Misskey?

По ходу развития Misskey используемые технологии успели значительно поменяться.В начале использовалась связка MySQL + PHP + jQuery, но теперь используется следующее:

- ПО на стороне сервера: Node.js;
- система управления базой данных: PostgreSQL, Redis;
- интерфейс пользователя: Vue.js;
- язык программирования: TypeScript;

и, кроме, того, технологии, родившиеся в самом Misskey, как например AiScript.



### А не клон ли это Mastodon?

Нет. Проект Misskey не имеет никакого отношения к Mastodon и ему подобным проектам. Что касается разработки, то она велась уже давно.Однако децентрализованным он стал уже после появления Mastodon. Помимо того, что в обоих используется протокол децентрализации ActivityPub, между этим проектами нет ничего общего.



### Существуют ли приложения для iOS или Android?

Мы не делаем официальных приложений Misskey для какой-либо ОС, однако существуют сторонние программы. [Посмотрите наш список приложений, если интересно.](./apps)

Обратите внимание, что новые функции в сторонних приложениях неизбежно будут появляться с некоторой задержкой, так что, если это вас не устраивает, лучше пользуйтесь официальным веб-клиентом. Кроме того, веб-клиент Misskey полностью соответствует требованиям технологии PWA, то есть, его можно заставить работать практически так же, как обычное приложение. [По ссылке есть дополнительная информация об этом.](todo)



### Где скачать логотип или значок Misskey?

(Скоро будет)



### Кто эта прелестная девочка с кошачьими ушками?

Это бог-хранитель Misskey, Ай.(Ай назвали прелестной, урря!)
<div class="info">ℹ️ <a href="https://xn--931a.moe/" target="_blank">Узнать больше об Ай можно по ссылке</a> (если, конечно, вы знаете Японский).</div>
