# Разрешение проблем
<div class="info">ℹ️ <a href="./faq">Часто задаваемые вопросы</a> также могут быть полезны.</div>

При возникновении каких-либо проблем, сначала поищите решение здесь. Если не нашли подходящего пункта, или с помощью изложенного здесь не удалось решить вопрос, обратитесь к администрации своего узла или [сообщите об ошибке разработчикам](./report-issue).

## Клиент не запускается
В большинстве случаев виной этому оказывается слишком старая версия браузера или ОС. Попробуйте обновить браузер и ОС до последней версии и попытайтесь снова.

Иногда клиент не запускается из-за проблемы с кэшем.Очистите кэш браузера и попробуйте ещё раз.

## Содержимое страницы не загружается
Если клиент запускается, но выдаёт сообщение, что содержимое не может быть загружено, проверьте сетевое соединение на наличие проблем.Также проверьте, что нужный сервер не отключен, например, на обслуживание.

В редких случаях может быть дело в кэше.Очистите кэш браузера и попробуйте ещё раз.

Остальные проблемы в основном связаны с серверной частью, так что, если написанное не помогло, постарайтесь связаться с администрацией сервера.

## Клиент тормозит
Попробуйте следующее:

- включите в настройках клиента пункт «Уменьшить анимацию в пользовательском интерфейсе»;
- выключите пункт «Размывка под формой поверх всего» там же;
- включите в настройках браузера аппаратное ускорение графики;
- проведите апгрейд.

## Некоторые элементы интерфейса выглядят странно и неудобно (например, фон стал прозрачным)
Такое может происходить из-за кэширования тем, когда происходит изменение интерфейса при обновлении. Исправить это можно нажав на кнопку «Очистить кэш» в настройках клиента.
<div class="warn">⚠️ Очищать нужно именно кэш клиента!Очистка кэша браузера тут не поможет. Не нужно делать этого.</div>

## Мигающий индикатор при «Антенне» не пропадает.
Мигающий индикатор означает, что здесь есть что-то ещё не прочитанное.Обычно такое происходит, когда непрочитанное уползает далеко из-за большого количества новых заметок. Если вы уверены, что всё прочитали, но значок всё ещё на месте (возможно, из-за ошибки), то можете явно пометить всё как прочитанное в настройках.

## Недоступен репост.
Нельзя репостить заметки, предназначенные только для подписчиков.

## Некоторые нужные элементы интерфейса не отображаются
Проблемы вроде этой могут проявляться при использовании блокировщика рекламы.Отключите его при использовании Misskey.

## Некоторые элементы интерфейса на иностранном языке
Обычно это не программная ошибка, а просто перевод интерфейса отстаёт от текущей версии.Подождите, пока переводчики сделают своё дело. Или [помогите переводу](./misskey) сами.
